---
layout: markdown_page
title: "GitLab Brings Industry-Leading Continuous Integration and Deployment to GitHub Community"
description: "GitLab announce that businesses and open source projects can now use GitLab’s best-in-class CI/CD together with GitHub and GitHub Enterprise code repositories."
canonical_path: "/press/releases/2018-03-22-gitlab-cicd-github-integration.html"
---

### Integration of GitLab CI/CD for GitHub simplifies and fuels DevOps transformation for the enterprise

**SAN FRANCISCO, CALIF- March 22, 2018** - GitLab, the only software that supports the entire DevOps lifecycle in a single application, today announced that businesses and open source projects can now use GitLab’s best-in-class CI/CD together with GitHub and GitHub Enterprise code repositories. With [GitLab CI/CD for GitHub](/solutions/github/), enterprises working with multiple different types of code repositories can now standardize on GitLab CI/CD for seamless consistency across both their GitHub and GitLab code repositories. Open source projects that host their code on GitHub can take advantage of CI/CD on GitLab.com, where GitLab offers top tier features for free to open source projects.

Enterprises recognize that adopting DevOps practices including continuous integration, continuous delivery, and continuous deployment allows them to deliver software faster, while maintaining high quality. However, large enterprises with complex organizational structures struggle to make this a reality and end up with multiple teams utilizing a variety of tools. This disparate toolset leads to silos, with teams stuck in their own implementation unable to collaborate broadly, ultimately slowing progress. A single CI/CD tool that can test and deliver software from multiple different code repositories allows enterprises to standardize and fully optimize their DevOps pipelines.

“Continuous integration and deployment form the backbone of modern DevOps,” said Sid Sijbrandij, CEO and co-founder of GitLab. "With this new offering, businesses and open source projects that use GitHub as a code repository will have access to GitLab’s industry leading CI/CD capabilities."

With the new GitHub integration, GitLab users can now create a CI/CD project in GitLab connected to an external GitHub code repository. This will automatically prompt GitLab CI/CD to run whenever code is pushed to GitHub and post CI/CD results back to GitHub when completed. This news comes on the heels of GitLab’s acquisition of security testing software [Gemnasium](/press/releases/2018-01-30-gemnasium-acquisition.html) in January, and will allow Gemnasium customers that were using GitHub + Gemnasium to begin using GitLab CI/CD for their security needs without needing to migrate their code.

GitLab was recently recognized as a leader in Continuous Integration in The Forrester Wave™: Continuous Integration Tools, Q3 2017 report. As the report states, “GitLab delivers ease of use, scalability, integration, and innovation.” This research finding is further bolstered by the release of GitLab CI/CD for GitHub. 

To launch the feature, GitLab CI/CD for GitHub will be available to GitLab.com users free of charge through March 22, 2019. More information and full pricing details can be found on the [GitLab CI/CD for GitHub](/solutions/github/) page.


**About GitLab**

GitLab is a DevOps platform built from the ground up as a single application for all stages of the DevOps lifecycle enabling Product, Development, QA, Security, and Operations teams to work concurrently on the same project. GitLab provides a single data store, one user interface, and one permission model across the DevOps lifecycle. This allows teams to significantly reduce cycle time through more efficient collaboration and enhanced focus. Built on Open Source, GitLab leverages the community contributions of thousands of developers and millions of users to continuously deliver new DevOps innovations. More than 100,000 organizations from startups to global enterprises, including Ticketmaster, Jaguar Land Rover, NASDAQ, Dish Network, and Comcast trust GitLab to deliver great software faster. GitLab is the world's largest all-remote company, with more than 1,200 team members in more than 65 countries and regions.


#### Media Contact
Natasha Woods
<br> 
GitLab
<br> 
press@gitlab.com
